<?php
defined('BASEPATH') or exit('No direct script access allowed');

class NotifikasiWA extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        check_not_login();
        $this->set_timezone();
        $this->load->library('Mycustom');
        $this->load->model('bagian_arisan/insert_model');
        $this->load->model('bagian_arisan/select_model');
        $this->load->model('bagian_arisan/update_model');
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }
    public function terjadwalnotif($id)
    {
        $kode_rahasia = $this->encrypt->decode($id);
        if ($kode_rahasia == '08158884711') :
            var_dump($kode_rahasia);
        else :
            echo 'Kode Rahasia Salah';
        endif;
    }
    function tagihan_arisan_heboh($id)
    {
        $kode_arisan            = substr($this->encrypt->decode($id), 0, 7);
        $jadwal_id              = substr($this->encrypt->decode($id), 7);
        $anggota_aktif          = $this->select_model->getDataAnggotaTagihan($jadwal_id, $kode_arisan);
        $jadwal_undian          = $this->db->get_where('tbl_jadwal_undian', ['id' => $jadwal_id])->row_array();
        $arisan                 = $this->db->get_where('tbl_arisan', ['id' => $kode_arisan])->row_array();
        // SEMANGAT PAGI

        // Sekilas Info kepada seluruh Anggota Arisan Super Heboh 2 BINA ARTHA,
        // Pengundian Arisan ke-3 akan dilaksanakan pada :
        // Hari     : Selasa
        // Tanggal  : 28 Mei 2024 
        // Waktu    : 16.00 WIB 
        // Tempat   : Kantor Arisan Bina Artha

        // Jangan Lewatkan Kesempatan untuk pengundian Doorprize Keren dan Hadiah lainnya.
        // Silahkan bisa segera melakukan pembayaran, Abaikan pesan bila sudah melakukan pembayaran.

        // TERIMA KASIH
        // echo '<pre>';
        // var_dump($anggota_aktif);
        // die;

        foreach ($anggota_aktif as $Anggota_aktif) :
            $message = 'SEMANGAT PAGI,
Kpd. ' . $Anggota_aktif->nm_anggota . ' ( ' . $Anggota_aktif->no_regist . ' )
            
Sekilas Info kepada seluruh Anggota Arisan Heboh Kelompok ' . $arisan['nm_kelompok'] . ' BINA ARTHA,
Pengundian & Lelang Arisan ke-' . $jadwal_undian['undian_ke'] . ' akan dilaksanakan pada :
Hari     : ' . $this->mycustom->hariIndo(date('l', strtotime($jadwal_undian['tgl_undian']))) . '
Tanggal  : ' . date('d', strtotime($jadwal_undian['tgl_undian'])) . ' ' . $this->mycustom->bulanIndo(date('m', strtotime($jadwal_undian['tgl_undian']))) . ' ' . date('Y', strtotime($jadwal_undian['tgl_undian'])) . ' 
Waktu    : 16.00 WIB 
Tempat   : Kantor Arisan Bina Artha

Jangan Lewatkan Kesempatan untuk pengundian Doorprize Keren dan Hadiah lainnya.
Silahkan bisa segera melakukan pembayaran, Abaikan pesan bila sudah melakukan pembayaran.

TERIMA KASIH';

            $nomor_tujuan = substr('08159994711', 0, 1);
            if ($nomor_tujuan == '0') :
                $nomor_hp = '62' . substr('08159994711', 1, 20);
            else :
                $nomor_hp = 628159994711;
            endif;
            $body = array(
                "api_key" => "c6191086a5a37f46aaebf003b24e5a931a42a463",
                "receiver" => $nomor_hp,
                "data" => array("message" => $message)
            );
            $curl = curl_init();
            curl_setopt_array($curl, [
                CURLOPT_URL => "https://notif.kspbinaartha.com/api/send-message",
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_ENCODING => "",
                CURLOPT_MAXREDIRS => 10,
                CURLOPT_TIMEOUT => 30,
                CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                CURLOPT_CUSTOMREQUEST => "POST",
                CURLOPT_POSTFIELDS => json_encode($body),
                CURLOPT_HTTPHEADER => [
                    "Accept: */*",
                    "Content-Type: application/json",
                ],
            ]);

            curl_exec($curl);
            curl_error($curl);
        endforeach;
        $this->session->set_flashdata('pesan_berhasil', '<div class="alert alert-success" id="pesan_berhasil" role="alert">Berhasil Melakukan Notifikasi Pembayaran!!</div>');
        redirect('arisan/aktifitas/tagihan/kelompok/' . $this->encrypt->encode($kode_arisan));
    }

    function tagihan_arisan_motor($id)
    {
        $kode_arisan          = substr($this->encrypt->decode($id), 0, 7);
        $jadwal_id              = substr($this->encrypt->decode($id), 7);
        $anggota_aktif          = $this->select_model->getDataAnggotaArisanMotorAktif($kode_arisan);
        $jadwal_undian          = $this->db->get_where('tbl_jadwal_undian', ['id' => $jadwal_id])->row_array();
        $arisan                 = $this->db->get_where('tbl_arisan', ['id' => $kode_arisan])->row_array();
        foreach ($anggota_aktif as $Anggota_aktif) :
            $message = 'SEMANGAT PAGI
Kpd. ' . $Anggota_aktif->nm_anggota . ' ( ' . $Anggota_aktif->no_regist . ' )

Sekilas Info kepada seluruh Anggota Arisan ' . $arisan['ket_arisan'] . ' Kelompok ' . $arisan['nm_kelompok'] . ' BINA ARTHA,
Pengundian & Lelang Arisan ke-' . $jadwal_undian['undian_ke'] . ' akan dilaksanakan pada :
Hari     : ' . $this->mycustom->hariIndo(date('l', strtotime($jadwal_undian['tgl_undian']))) . '
Tanggal  : ' . date('d', strtotime($jadwal_undian['tgl_undian'])) . ' ' . $this->mycustom->bulanIndo(date('m', strtotime($jadwal_undian['tgl_undian']))) . ' ' . date('Y', strtotime($jadwal_undian['tgl_undian'])) . ' 
Waktu    : 16.00 WIB 
Tempat   : Kantor Arisan Bina Artha

Jangan Lewatkan Kesempatan untuk pengundian Doorprize Keren dan Hadiah lainnya.
Silahkan bisa segera melakukan pembayaran, Abaikan pesan bila sudah melakukan pembayaran.

TERIMA KASIH';
            $nomor_tujuan = substr('08159994711', 0, 1);
            if ($nomor_tujuan == '0') :
                $nomor_hp = '62' . substr('08159994711', 1, 20);
            else :
                $nomor_hp = 628159994711;
            endif;
            $body = array(
                "api_key" => "c6191086a5a37f46aaebf003b24e5a931a42a463",
                "receiver" => $nomor_hp,
                "data" => array("message" => $message)
            );
            $curl = curl_init();
            curl_setopt_array($curl, [
                CURLOPT_URL => "https://notif.kspbinaartha.com/api/send-message",
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_ENCODING => "",
                CURLOPT_MAXREDIRS => 10,
                CURLOPT_TIMEOUT => 30,
                CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                CURLOPT_CUSTOMREQUEST => "POST",
                CURLOPT_POSTFIELDS => json_encode($body),
                CURLOPT_HTTPHEADER => [
                    "Accept: */*",
                    "Content-Type: application/json",
                ],
            ]);
            curl_exec($curl);
            curl_error($curl);
        endforeach;
        $this->session->set_flashdata('pesan_berhasil', '<div class="alert alert-success" id="pesan_berhasil" role="alert">Berhasil Melakukan Notifikasi Pembayaran!!</div>');
        redirect('arisan/aktifitas/tagihan/kelompok/' . $this->encrypt->encode($kode_arisan));
    }
}

/* End of file NotifikasiWA.php and path \application\controllers\NotifikasiWA.php */